<?php

require '../config.php';
$title='VIP статус';
who_add(0,'enter');
aut();
head();





$user = mysql_fetch_array(mysql_query ("SELECT * FROM `users` WHERE `id` = '".$user['id']."'"));
$amarelle = mysql_fetch_array(mysql_query("SELECT * FROM `us_vip` WHERE `user_id` = '".$user['id']."'"));
$cp = '';

switch ($act) {


case 'buy':
/*
-----------------------------------------------------------------
Агенство телохранителей
-----------------------------------------------------------------
*/


echo 'Пpивeт, <b>'.$user['user'].'</b>!<br/>';
echo 'У тeбя: <b>'.$user['rabov'].'</b> экстра баллов<br/>';
echo '<br/>Поздровляю,вы набрали нужное количество экстра баллов и теперь можете купить себе VIP статус.<br />';
//1
echo '<img src="img/vip.jpeg" alt="" /><br />';
echo '<p>VIP статус [200]</p>';
if ($user['rabov'] >= 200) {
echo '- <a href="?act=ok&amp;select=1">Купить статус</a><br />';
}else{
echo 'Щшибка! <b><font color="red">Не хватает баллов для покупки,зайдите позже!</font></b><br />';
}

echo '<br />';
echo gb.'<a href="'.H.'vipstatus">Назад</a>'.div;
echo '</div>';

break;

case 'error':

echo '<b>gggggggggggggggНедостаточно экстра болов,заходи как наберёшь!!</b>';

break;

case 'ok':

/*
-----------------------------------------------------------------
Покупка
-----------------------------------------------------------------
*/
$select = abs(intval($_GET['select']));
if ($select == 1) $price = $user['rabov'] - 200;
echo 'Статус VIP';
if ($select >= 1 AND $select <= 3) {
if ($price >= 0) {
echo '<p>Статус успешно куплен,теперь вы VIP пользователь на неделю:)</p>
- <a href="'.H.'info.php?nk='.$user['id'].'">В анкету</a>';
mysql_query("UPDATE `us_vip` SET `us_vip_id` = '$select', `time` = '$realtime' WHERE `user_id` = '".$user['id']."'");
mysql_query("UPDATE `users` SET `rabov` = '$price' WHERE `id` = '".$user['id']."'");
}else{
echo 'Не надо хитрить!';
}
}else{
echo 'Vip статус не доступен!Обратитесь к администрации!';
}
echo '</div>';
break;



default:

/*
-----------------------------------------------------------------
Отображаем главную страницу
-----------------------------------------------------------------
*/
if ($user['rabov']>= 0 && $user[rabov]<=199) {header ('Location: error_vip.php');
}else{
if (isset($cp)) {
echo ''.$cp.'';
//echo '<span style="float : left; padding : 2px;"><img src="logo.png" alt="" /></span>';
echo '<p>Vip статус-это статус который позволяет тебе получить больше возможностей и привилегий.Чтоб получить этот статус,необходимо набрать определённое количество экстра баллов,поймать их можно всеволишь часто находясь на сайте и иногда на веоху любой страници,появляеться ссылка "Поймать экстра балл!",переходите по ней и вам засчитываеть балл.Переходить по этой ссылке можно только один раз за её появление.</p>';
echo gb.'<a href="?act=buy">Перейти к покупки статуса.</a><br/>'.div;
if (!isset($amarelle['user_id'])) mysql_query("INSERT INTO `us_vip` SET `user_id` = '".$user['id']."'");
}else
break;



}
}

echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>
